Api reference
POST Clients ClientId Layout
POST
/v1/clients/{clientId}/layoutAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
clientId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
workspaceId*string
action*||||||
focus?|
Select the result of new_tab, split, move, or detach. Defaults to false: preserve the current pane and each tab's selection. Does not foreground the window.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/clients/string/layout" \ -H "Content-Type: application/json" \ -d '{ "workspaceId": "string", "action": { "kind": "new_tab" } }'{ "isActive": true, "workspaceId": "string", "workspaces": [ { "id": "string", "projectId": "string", "name": "string", "tabId": "string", "paneId": "string", "sessionId": "string", "tabs": [ { "id": "string", "panes": [ { "id": "string", "kind": "string", "title": "string", "sessionId": "string", "leafId": "string" } ], "title": "string", "activeLeafId": "string", "splits": [ { "branchPath": [ 0 ], "orientation": "string", "fractions": [ 1 ], "children": [ [ "string" ] ] } ] } ] } ], "page": { "page": "string", "settingsSection": "string", "presentation": "string" }, "capabilities": { "pages": [ "string" ], "settingsSections": [ "string" ], "layoutActions": [ "string" ], "windowActions": [ "string" ] }, "window": { "x": 0, "y": 0, "width": 0, "height": 0, "isMinimized": true, "isFullscreen": true, "sidebarVisible": true }}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}{ "error": "string"}